> ## Documentation Index
> Fetch the complete documentation index at: https://dev.jup.ag/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Program ID to Label

> Returns a hash mapping program IDs to labels for error identification

<Warning>
  **Metis Swap API** is no longer actively maintained and has been superseded by [Swap V2](/swap).
</Warning>


## OpenAPI

````yaml openapi-spec/swap/swap.yaml get /program-id-to-label
openapi: 3.0.3
info:
  title: Metis Swap API
  version: 1.0.0
  description: Metis Swap API Schema
servers:
  - url: https://api.jup.ag/swap/v1
    description: Metis Swap API endpoint
  - url: https://preprod-quote-api.jup.ag/
    description: This is a staging endpoint for tests
security: []
paths:
  /program-id-to-label:
    get:
      tags:
        - Swap
      summary: program-id-to-label
      description: >
        Returns a hash, which key is the program id and value is the label.

        This is used to help map error from transaction by identifying the fault
        program id.

        This can be used in conjunction with the `excludeDexes` or `dexes`
        parameter.
      operationId: ProgramIdToLabelGet
      responses:
        '200':
          description: Default response
          content:
            application/json:
              schema:
                type: object
                additionalProperties:
                  type: string
              example:
                JUP6LkbZbjS1jKKwapdHNy74zcZ3tLUZoi5QNyVTaV4: Jupiter V6
                whirLbMiicVdio4qvUfM5KAg6Ct8VwpYzGff3uctyCc: Orca Whirlpool
                CAMMCzo5YL8w4VFF8KVHrK22GGUsp5VTaW7grrKgrWqK: Raydium CLMM
                LBUZKhRxPF3XUpBCjp4YzTKgLccjZhTSDM9YuVaPwxo: Meteora DLMM
      security:
        - ApiKeyAuth: []
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key
      description: Get API key via https://developers.jup.ag/portal

````